summaryrefslogtreecommitdiffstats
path: root/system/ansible
diff options
context:
space:
mode:
author Alex Diaconu2013-07-18 22:08:08 +0200
committer Erik Hanson2013-07-18 22:08:08 +0200
commit5235ca258723cd288b42316cb382995ff6971047 (patch)
tree030d93decaca5080e4d3a1816c9c62c1a089e870 /system/ansible
parent88acaa6be7f8d6bc3f783bc4042d071884f647b1 (diff)
downloadslackbuilds-5235ca258723cd288b42316cb382995ff6971047.tar.gz
system/ansible: Updated for version 1.2.1.
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'system/ansible')
-rw-r--r--system/ansible/README6
-rw-r--r--system/ansible/ansible.SlackBuild11
-rw-r--r--system/ansible/ansible.info6
-rw-r--r--system/ansible/doinst.sh1
-rw-r--r--system/ansible/slack-desc2
5 files changed, 12 insertions, 14 deletions
diff --git a/system/ansible/README b/system/ansible/README
index 3445653f0f..dbc2593087 100644
--- a/system/ansible/README
+++ b/system/ansible/README
@@ -1,12 +1,12 @@
-Ansible (a ssh based config management framework)
+Ansible (a ssh-based config management framework)
A radically simple, model-driven orchestration solution that automates
configuration, software deployment, and other IT needs.
It comes as an easy-to-use and powerful alternative to infrastructure
-management tools such as CFEngine, Chef, Puppet, and SaltStack.
+management tools such as CFEngine, Chef, Puppet and SaltStack.
-*Note* that as the source tarball is hosted by github (nodeload), its filename
+*NOTE* that as the source tarball is hosted by github (nodeload), its filename
will vary depending on the download method. The filename may be "release1.2"
when downloaded via wget/curl or it may be "ansible-ansible-v1.2-*.tar.gz"
when downloaded via a browser. Any other form will not be accounted for, as
diff --git a/system/ansible/ansible.SlackBuild b/system/ansible/ansible.SlackBuild
index 2fa6d08c91..e5bdb6272e 100644
--- a/system/ansible/ansible.SlackBuild
+++ b/system/ansible/ansible.SlackBuild
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=ansible
-VERSION=${VERSION:-1.2}
+VERSION=${VERSION:-1.2.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -54,7 +54,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e # Exit on most errors
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -68,7 +68,7 @@ rm -rf $PRGNAM-$VERSION
# browser -> ansible-ansible-v{tag}-{n}-g{sha}.tar.gz
# -- refer to https://github.com/blog/651-annotated-downloads
SOURCEFILE=$(find "$CWD" -type f \( -name "release$VERSION" -o \
- -name "$PKGNAM-$PKGNAM-v$VERSION-*" \) -print | head -1)
+ -name "$PRGNAM-$PRGNAM-v$VERSION-*" \) -print | head -1)
mkdir $PRGNAM-$VERSION
# The container directory (ansible-ansible-v{tag}...) must be stripped
tar xvf "$SOURCEFILE" -C $PRGNAM-$VERSION --strip 1
@@ -98,18 +98,17 @@ find $PKG/usr/man -iname '.git*' -delete
# Remove redundant executable perms granted to some modules
find $PKG/usr/share/ansible -type f -perm /111 -exec chmod -x {} \;
-# Fix plugin paths in example config file
+# Fix plugin paths and also remove the duplicated 'library' and 'hostfile' settings
orig_path="/usr/share/ansible_plugins"
site_packages="$(python2 -c 'from distutils.sysconfig import get_python_lib; print get_python_lib();')/ansible"
plug_pat='(action|filter|connection|lookup)'
-
sed -i -r \
-e "s:$orig_path/${plug_pat}_plugins:$site_packages/runner/\1_plugins:" \
-e "s:$orig_path/callback_plugins:$site_packages/callback_plugins:" \
-e "s:$orig_path/vars_plugins:$site_packages/inventory/vars_plugins:" \
+ -e "7,12d" \
examples/ansible.cfg
-# Populate config dir (/etc/ansible)
mkdir -p $PKG/etc/ansible
cp -a examples/ansible.cfg $PKG/etc/ansible/ansible.cfg.new
cp -a examples/hosts $PKG/etc/ansible/hosts.new
diff --git a/system/ansible/ansible.info b/system/ansible/ansible.info
index 57deb1a6ed..5776d2edbf 100644
--- a/system/ansible/ansible.info
+++ b/system/ansible/ansible.info
@@ -1,8 +1,8 @@
PRGNAM="ansible"
-VERSION="1.2"
+VERSION="1.2.1"
HOMEPAGE="http://ansible.cc"
-DOWNLOAD="http://github.com/ansible/ansible/tarball/release1.2"
-MD5SUM="91ca6ddc295ed8aa19959273062edaf7"
+DOWNLOAD="http://github.com/ansible/ansible/tarball/release1.2.1"
+MD5SUM="74c3e4770418d592dcd465b54e725872"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="paramiko PyYAML Jinja2"
diff --git a/system/ansible/doinst.sh b/system/ansible/doinst.sh
index def7b58d1d..52f13dc698 100644
--- a/system/ansible/doinst.sh
+++ b/system/ansible/doinst.sh
@@ -13,4 +13,3 @@ config() {
config etc/ansible/ansible.cfg.new
config etc/ansible/hosts.new
-
diff --git a/system/ansible/slack-desc b/system/ansible/slack-desc
index 635768b7ff..27641ae467 100644
--- a/system/ansible/slack-desc
+++ b/system/ansible/slack-desc
@@ -6,7 +6,7 @@
# customary to leave one space after the ':' except on otherwise blank lines.
|-----handy-ruler------------------------------------------------------|
-ansible: Ansible (a ssh based config management framework)
+ansible: Ansible (a ssh-based config management framework)
ansible:
ansible: A radically simple, model-driven orchestration solution that
ansible: automates configuration, software deployment, and other IT needs.